Bug 965789 - drupal7: Auto-provides for RPM < 4.9
drupal7: Auto-provides for RPM < 4.9
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: drupal7 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 13:50 EDT by Shawn Iwinski
Modified: 2013-06-18 16:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal7-7.22-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 00:24:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to APPLY to drupal7 repo (1.96 KB, patch)
2013-05-21 13:51 EDT, Shawn Iwinski
no flags Details | Diff
Patch to COPY to drupal7 repo (1.32 KB, patch)
2013-05-21 13:52 EDT, Shawn Iwinski
no flags Details | Diff
drupal7-rpm-lt-4-9-compat.patch (4.57 KB, patch)
2013-05-21 15:44 EDT, Shawn Iwinski
no flags Details | Diff

  None (edit)
Description Shawn Iwinski 2013-05-21 13:50:42 EDT
Description of problem:
Auto-provides are not being generated for systems with RPM < 4.9 (i.e. RHEL <= 6)


Version-Release number of selected component (if applicable):
drupal7-7.22-3


How reproducible:
RPM build a drupal7 package with drupal7-rpmbuid >= 7.22-3 on a system with RPM < 4.9 (i.e. RHEL <= 6)


Actual results:
No generated provides.


Expected results:
Generated provides.


Additional info:
https://github.com/siwinski/fedora-drupal7/commit/f83b5cdf276592f819a194968c451f79b3831e5e
Comment 1 Shawn Iwinski 2013-05-21 13:51:49 EDT
Created attachment 751336 [details]
Patch to APPLY to drupal7 repo
Comment 2 Shawn Iwinski 2013-05-21 13:52:24 EDT
Created attachment 751337 [details]
Patch to COPY to drupal7 repo
Comment 3 Shawn Iwinski 2013-05-21 15:44:08 EDT
Created attachment 751361 [details]
drupal7-rpm-lt-4-9-compat.patch

Patches existing files and creates new files for RPM < 4.9 compatability
Comment 4 Shawn Iwinski 2013-05-21 15:46:47 EDT
Re-factored per Jon Ciesla to conditionally install files instead of conditionally patch files.
Comment 5 Fedora Update System 2013-05-21 16:21:15 EDT
drupal7-7.22-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc17
Comment 6 Fedora Update System 2013-05-21 16:21:35 EDT
drupal7-7.22-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.el6
Comment 7 Fedora Update System 2013-05-21 16:21:56 EDT
drupal7-7.22-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc18
Comment 8 Fedora Update System 2013-05-21 16:22:17 EDT
drupal7-7.22-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.el5
Comment 9 Fedora Update System 2013-05-21 16:22:40 EDT
drupal7-7.22-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc19
Comment 10 Fedora Update System 2013-05-22 17:37:25 EDT
Package drupal7-7.22-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing drupal7-7.22-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5877/drupal7-7.22-4.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-05-31 00:24:49 EDT
drupal7-7.22-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-05-31 00:27:48 EDT
drupal7-7.22-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-05-31 23:22:50 EDT
drupal7-7.22-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-06-03 11:46:49 EDT
drupal7-7.22-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc19
Comment 15 Fedora Update System 2013-06-03 11:47:14 EDT
drupal7-7.22-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.el6
Comment 16 Fedora Update System 2013-06-03 11:47:41 EDT
drupal7-7.22-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc17
Comment 17 Fedora Update System 2013-06-03 11:48:08 EDT
drupal7-7.22-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.el5
Comment 18 Fedora Update System 2013-06-03 11:48:31 EDT
drupal7-7.22-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc18
Comment 19 Fedora Update System 2013-06-13 02:47:37 EDT
drupal7-7.22-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-06-13 22:29:09 EDT
drupal7-7.22-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-06-13 22:30:02 EDT
drupal7-7.22-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-06-18 16:46:38 EDT
drupal7-7.22-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-06-18 16:47:42 EDT
drupal7-7.22-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.